Subject: Re: [PATCH bpf-next 0/3] AF_XDP clean up/perf improvements

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Fri, 22 Jan 2021 14:19:02 +0100

Björn Töpel <[email-masked]> writes:

> This series has some clean up/performance improvements for XDP
> sockets.
>
> The first two patches are cleanups for the AF_XDP core, and the
> restructure actually give a little performance boost.
>
> The last patch adds support for selecting AF_XDP BPF program, based on
> what the running kernel supports.
>
> The patches were earlier part of the bigger "bpf_redirect_xsk()"
> series [1]. I pulled out the non-controversial parts into this series.

What about the first patch from that series, refactoring the existing
bpf_redirect_map() handling? I think that would be eligible for sending
on its own as well :)

-Toke